<html>
<head>
<title>OgreRenderSystemCapabilities.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Defines</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">OgreRenderSystemCapabilities.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreString_8h_source.html">OgreString.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreStringConverter_8h_source.html">OgreStringConverter.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreStringVector_8h_source.html">OgreStringVector.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreResource_8h_source.html">OgreResource.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreLogManager_8h_source.html">OgreLogManager.h</a>&quot;</code><br/>
</div>
<p><a href="OgreRenderSystemCapabilities_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1DriverVersion.html">Ogre::DriverVersion</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="structOgre_1_1DriverVersion.html" title="DriverVersion is used by RenderSystemCapabilities and both GL and D3D9 to store the version of the cu...">DriverVersion</a> is used by <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> and both GL and D3D9 to store the version of the current GPU driver.  <a href="structOgre_1_1DriverVersion.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">singleton class for storing the capabilities of the graphics card.  <a href="classOgre_1_1RenderSystemCapabilities.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="define-members"></a>
Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreRenderSystemCapabilities_8h.html#a1f2980065f3c74646d1c1710f55f3a22">CAPS_CATEGORY_SIZE</a>&#160;&#160;&#160;4</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreRenderSystemCapabilities_8h.html#a758eb6cb9e283950039f2ef49b551151">OGRE_CAPS_BITSHIFT</a>&#160;&#160;&#160;(32 - <a class="el" href="OgreRenderSystemCapabilities_8h.html#a1f2980065f3c74646d1c1710f55f3a22">CAPS_CATEGORY_SIZE</a>)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreRenderSystemCapabilities_8h.html#ab1061abcf1bf33c9f55c9d1dc80af110">CAPS_CATEGORY_MASK</a>&#160;&#160;&#160;(((1 &lt;&lt; <a class="el" href="OgreRenderSystemCapabilities_8h.html#a1f2980065f3c74646d1c1710f55f3a22">CAPS_CATEGORY_SIZE</a>) - 1) &lt;&lt; <a class="el" href="OgreRenderSystemCapabilities_8h.html#a758eb6cb9e283950039f2ef49b551151">OGRE_CAPS_BITSHIFT</a>)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreRenderSystemCapabilities_8h.html#aed8646724df28fe574c22d9ac38d0743">OGRE_CAPS_VALUE</a>(cat, val)&#160;&#160;&#160;((cat &lt;&lt; <a class="el" href="OgreRenderSystemCapabilities_8h.html#a758eb6cb9e283950039f2ef49b551151">OGRE_CAPS_BITSHIFT</a>) | (1 &lt;&lt; val))</td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RenderSystem.html#gaafd4c573704bd74fac9ec9c02071ad08">Ogre::CapabilitiesCategory</a> { <br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#ggaafd4c573704bd74fac9ec9c02071ad08a7809b8821213e9741559af9982a9b645">Ogre::CAPS_CATEGORY_COMMON</a> =  0, 
<a class="el" href="group__RenderSystem.html#ggaafd4c573704bd74fac9ec9c02071ad08a3e9d6428fe3d7a310787a8d71b79edab">Ogre::CAPS_CATEGORY_COMMON_2</a> =  1, 
<a class="el" href="group__RenderSystem.html#ggaafd4c573704bd74fac9ec9c02071ad08a9ed892a5327285f49d0bb2d6a0465207">Ogre::CAPS_CATEGORY_D3D9</a> =  2, 
<a class="el" href="group__RenderSystem.html#ggaafd4c573704bd74fac9ec9c02071ad08adb0bc970eade1549ca251c1bf475884c">Ogre::CAPS_CATEGORY_GL</a> =  3, 
<br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#ggaafd4c573704bd74fac9ec9c02071ad08a5058a925a5b6afcd72940bd3b8141c07">Ogre::CAPS_CATEGORY_COUNT</a> =  4
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enumerates the categories of capabilities.  <a href="group__RenderSystem.html#gaafd4c573704bd74fac9ec9c02071ad08">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RenderSystem.html#ga3d2965b7f378ebdcfe8a4a6cf74c3de7">Ogre::Capabilities</a> { <br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a36fbedc1dbc7f1a597b593ef26d700a7">Ogre::RSC_AUTOMIPMAP</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON, 0), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a44257b4bb6f6662f86b5391315b382da">Ogre::RSC_BLENDING</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON, 1), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a43b3d4aabf56e02a0ea50cd32dcb42ee">Ogre::RSC_ANISOTROPY</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON, 2), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7ab4f91cac8782a94b7628efde67bb3a89">Ogre::RSC_DOT3</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON, 3), 
<br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7aa1a05f478179e95212c04d839f8bf925">Ogre::RSC_CUBEMAPPING</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON, 4), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a97f2e59e77a7a77aab06419ea8ec4545">Ogre::RSC_HWSTENCIL</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON, 5), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a23d49e82353f9f12ec907408f64ecc46">Ogre::RSC_VBO</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON, 7), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a0036e085f9e885a0f9176c520c47b1b8">Ogre::RSC_VERTEX_PROGRAM</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON, 9), 
<br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a0fb7675fcb0999b146ddb233f0c8d532">Ogre::RSC_FRAGMENT_PROGRAM</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON, 10), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a025003688279d889c8866bafb97d2e9d">Ogre::RSC_SCISSOR_TEST</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON, 11), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a00acd7f72ee13db50c83c73893018c22">Ogre::RSC_TWO_SIDED_STENCIL</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON, 12), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a0ad2d2a7c1732fc0cadbc10fe15d7644">Ogre::RSC_STENCIL_WRAP</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON, 13), 
<br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a6754fd60041b30aa89297451995d12fa">Ogre::RSC_HWOCCLUSION</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON, 14), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a72fee516fc6f23892db204f63a3b4ce5">Ogre::RSC_USER_CLIP_PLANES</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON, 15), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a2de4b26152004c45bf22ac3c06c20d46">Ogre::RSC_VERTEX_FORMAT_UBYTE4</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON, 16), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a86b8fb59223a3d16e1c7556385c87e58">Ogre::RSC_INFINITE_FAR_PLANE</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON, 17), 
<br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a640e063db30008a88378659bc5d0ed70">Ogre::RSC_HWRENDER_TO_TEXTURE</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON, 18), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a330f702e041e05229fbeab6237204ffe">Ogre::RSC_TEXTURE_FLOAT</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON, 19), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7ad12d6aa304455f99d23426ba8fa3f3c4">Ogre::RSC_NON_POWER_OF_2_TEXTURES</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON, 20), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7af367d0e24c5f16cccd3d0dc06da7b80b">Ogre::RSC_TEXTURE_3D</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON, 21), 
<br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a78d2501c1d7678ca5e0006450e8aa608">Ogre::RSC_POINT_SPRITES</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON, 22), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7af887fac0adaa3e2f13531b871c0479ba">Ogre::RSC_POINT_EXTENDED_PARAMETERS</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON, 23), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a9b3ec17b20494afb3718d54f77f9db2e">Ogre::RSC_VERTEX_TEXTURE_FETCH</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON, 24), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a059362950c064bfe870e5fe60b56a3ca">Ogre::RSC_MIPMAP_LOD_BIAS</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON, 25), 
<br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7ae8e3858cc965ec9093b0aad6bfa03fc0">Ogre::RSC_GEOMETRY_PROGRAM</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON, 26), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7abfef380b817098e5510d38b4950a5275">Ogre::RSC_HWRENDER_TO_VERTEX_BUFFER</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON, 27), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a5943ac693051b347fd65ce715fdff2a4">Ogre::RSC_TEXTURE_COMPRESSION</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON_2, 0), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a93340f99ad2b08fcd21b2475f29bf0b0">Ogre::RSC_TEXTURE_COMPRESSION_DXT</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON_2, 1), 
<br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7acd1d85413909faa36b2172358e1d6e00">Ogre::RSC_TEXTURE_COMPRESSION_VTC</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON_2, 2), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a02f2b26ce0adbcd83411e02216a1abfa">Ogre::RSC_TEXTURE_COMPRESSION_PVRTC</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON_2, 3), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a53ab8c51e8113aa9cf4a5a5d2170254d">Ogre::RSC_FIXED_FUNCTION</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON_2, 4), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a10a2cb27bf357d561cd498ab38590b3c">Ogre::RSC_MRT_DIFFERENT_BIT_DEPTHS</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON_2, 5), 
<br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7abd6e1e7f58582c494d7b9787bb8588d0">Ogre::RSC_ALPHA_TO_COVERAGE</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON_2, 6), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a3557e83299c9ff66d776b45733e5e466">Ogre::RSC_ADVANCED_BLEND_OPERATIONS</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON_2, 7), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a93c6e65f2a0ec5b9eb375eb1e077285e">Ogre::RSC_RTT_SEPARATE_DEPTHBUFFER</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON_2, 8), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a7319335acf0ce87966df6c4851151117">Ogre::RSC_RTT_MAIN_DEPTHBUFFER_ATTACHABLE</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON_2, 9), 
<br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a5c36ec605b2f1ad47643796f98ee1687">Ogre::RSC_RTT_DEPTHBUFFER_RESOLUTION_LESSEQUAL</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON_2, 10), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7ab3858f00e9fac85c4691f69e718bf841">Ogre::RSC_VERTEX_BUFFER_INSTANCE_DATA</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON_2, 11), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a08566db0020adc1f1d2b45928b9663b8">Ogre::RSC_CAN_GET_COMPILED_SHADER_BUFFER</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_COMMON_2, 12), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a4a6cb9244a2fd89591cfeb06960336e1">Ogre::RSC_PERSTAGECONSTANT</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_D3D9, 0), 
<br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7af6f7e8732a517446f1008d86e653509b">Ogre::RSC_GL1_5_NOVBO</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_GL, 1), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a8a0ececdc95122ac3063fc4f27d6402c">Ogre::RSC_FBO</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_GL, 2), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a8e78a32ff387c91e40351474ce8652f2">Ogre::RSC_FBO_ARB</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_GL, 3), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a545b10d9882c0ae3ec90ef0d1a5ae4df">Ogre::RSC_FBO_ATI</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_GL, 4), 
<br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a55118ce86589755ce57c9e443f2648dc">Ogre::RSC_PBUFFER</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_GL, 5), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7aee26b76a540923853ae3e72d8cfc9c35">Ogre::RSC_GL1_5_NOHWOCCLUSION</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_GL, 6), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a10d8a58880a7e9cd28108f45e671dc9d">Ogre::RSC_POINT_EXTENDED_PARAMETERS_ARB</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_GL, 7), 
<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7ad9a6d84955c31986ec228e745eda8c71">Ogre::RSC_POINT_EXTENDED_PARAMETERS_EXT</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_GL, 8), 
<br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a6110f385e2cb3e6dff9403379a9eaf23">Ogre::RSC_SEPARATE_SHADER_OBJECTS</a> =  OGRE_CAPS_VALUE(CAPS_CATEGORY_GL, 9)
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enum describing the different hardware capabilities we want to check for <a class="el" href="OgreRenderSystemCapabilities_8h.html#aed8646724df28fe574c22d9ac38d0743">OGRE_CAPS_VALUE(a, b)</a> defines each capability.  <a href="group__RenderSystem.html#ga3d2965b7f378ebdcfe8a4a6cf74c3de7">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RenderSystem.html#gac4c251bcc05376f701348bfe0f4a53b4">Ogre::GPUVendor</a> { <br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#ggac4c251bcc05376f701348bfe0f4a53b4a2d66ad2e2ce38c274d21f39551d2abe8">Ogre::GPU_UNKNOWN</a> =  0, 
<a class="el" href="group__RenderSystem.html#ggac4c251bcc05376f701348bfe0f4a53b4a941a163a46c7a3313e3ccf03e2c0164b">Ogre::GPU_NVIDIA</a> =  1, 
<a class="el" href="group__RenderSystem.html#ggac4c251bcc05376f701348bfe0f4a53b4ac50e86d2becf7eb05876cf7b33a1207b">Ogre::GPU_ATI</a> =  2, 
<a class="el" href="group__RenderSystem.html#ggac4c251bcc05376f701348bfe0f4a53b4ad126527fc91804540c9860476347d3ce">Ogre::GPU_INTEL</a> =  3, 
<br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#ggac4c251bcc05376f701348bfe0f4a53b4a5753a78e9d99c0d1c878d1c6adc5a83b">Ogre::GPU_S3</a> =  4, 
<a class="el" href="group__RenderSystem.html#ggac4c251bcc05376f701348bfe0f4a53b4a94f3fa17d6921eea78e13213b38e775c">Ogre::GPU_MATROX</a> =  5, 
<a class="el" href="group__RenderSystem.html#ggac4c251bcc05376f701348bfe0f4a53b4a7451efa522a35274cf6e081aa72172da">Ogre::GPU_3DLABS</a> =  6, 
<a class="el" href="group__RenderSystem.html#ggac4c251bcc05376f701348bfe0f4a53b4a505f1dc88797793728f8997b73491658">Ogre::GPU_SIS</a> =  7, 
<br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#ggac4c251bcc05376f701348bfe0f4a53b4a33babe0bc67d09ef934c73a84b1a25fb">Ogre::GPU_IMAGINATION_TECHNOLOGIES</a> =  8, 
<a class="el" href="group__RenderSystem.html#ggac4c251bcc05376f701348bfe0f4a53b4a7dad707bd81e71dced7da15fd2423c7e">Ogre::GPU_APPLE</a> =  9, 
<a class="el" href="group__RenderSystem.html#ggac4c251bcc05376f701348bfe0f4a53b4aa22a1e39600d0af079ead95e47c5bc73">Ogre::GPU_NOKIA</a> =  10, 
<a class="el" href="group__RenderSystem.html#ggac4c251bcc05376f701348bfe0f4a53b4ae54ba29367624d53c03371951789662f">Ogre::GPU_MS_SOFTWARE</a> =  11, 
<br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#ggac4c251bcc05376f701348bfe0f4a53b4a1ecaf69b6c1ede1b4e073308fcaeae38">Ogre::GPU_MS_WARP</a> =  12, 
<a class="el" href="group__RenderSystem.html#ggac4c251bcc05376f701348bfe0f4a53b4a39ecb7f5b44964fe66db54c9043731fc">Ogre::GPU_VENDOR_COUNT</a> =  13
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enumeration of GPU vendors.  <a href="group__RenderSystem.html#gac4c251bcc05376f701348bfe0f4a53b4">More...</a><br/></td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="ab1061abcf1bf33c9f55c9d1dc80af110"></a><!-- doxytag: member="OgreRenderSystemCapabilities.h::CAPS_CATEGORY_MASK" ref="ab1061abcf1bf33c9f55c9d1dc80af110" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreRenderSystemCapabilities_8h.html#ab1061abcf1bf33c9f55c9d1dc80af110">CAPS_CATEGORY_MASK</a>&#160;&#160;&#160;(((1 &lt;&lt; <a class="el" href="OgreRenderSystemCapabilities_8h.html#a1f2980065f3c74646d1c1710f55f3a22">CAPS_CATEGORY_SIZE</a>) - 1) &lt;&lt; <a class="el" href="OgreRenderSystemCapabilities_8h.html#a758eb6cb9e283950039f2ef49b551151">OGRE_CAPS_BITSHIFT</a>)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h_source.html#l00049">49</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h_source.html">OgreRenderSystemCapabilities.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRenderSystemCapabilities_8h_source.html#l00484">Ogre::RenderSystemCapabilities::hasCapability()</a>, <a class="el" href="OgreRenderSystemCapabilities_8h_source.html#l00466">Ogre::RenderSystemCapabilities::setCapability()</a>, and <a class="el" href="OgreRenderSystemCapabilities_8h_source.html#l00475">Ogre::RenderSystemCapabilities::unsetCapability()</a>.</p>

</div>
</div>
<a class="anchor" id="a1f2980065f3c74646d1c1710f55f3a22"></a><!-- doxytag: member="OgreRenderSystemCapabilities.h::CAPS_CATEGORY_SIZE" ref="a1f2980065f3c74646d1c1710f55f3a22" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreRenderSystemCapabilities_8h.html#a1f2980065f3c74646d1c1710f55f3a22">CAPS_CATEGORY_SIZE</a>&#160;&#160;&#160;4</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h_source.html#l00047">47</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h_source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div>
<a class="anchor" id="a758eb6cb9e283950039f2ef49b551151"></a><!-- doxytag: member="OgreRenderSystemCapabilities.h::OGRE_CAPS_BITSHIFT" ref="a758eb6cb9e283950039f2ef49b551151" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreRenderSystemCapabilities_8h.html#a758eb6cb9e283950039f2ef49b551151">OGRE_CAPS_BITSHIFT</a>&#160;&#160;&#160;(32 - <a class="el" href="OgreRenderSystemCapabilities_8h.html#a1f2980065f3c74646d1c1710f55f3a22">CAPS_CATEGORY_SIZE</a>)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h_source.html#l00048">48</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h_source.html">OgreRenderSystemCapabilities.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRenderSystemCapabilities_8h_source.html#l00484">Ogre::RenderSystemCapabilities::hasCapability()</a>, <a class="el" href="OgreRenderSystemCapabilities_8h_source.html#l00456">Ogre::RenderSystemCapabilities::isCapabilityRenderSystemSpecific()</a>, <a class="el" href="OgreRenderSystemCapabilities_8h_source.html#l00466">Ogre::RenderSystemCapabilities::setCapability()</a>, and <a class="el" href="OgreRenderSystemCapabilities_8h_source.html#l00475">Ogre::RenderSystemCapabilities::unsetCapability()</a>.</p>

</div>
</div>
<a class="anchor" id="aed8646724df28fe574c22d9ac38d0743"></a><!-- doxytag: member="OgreRenderSystemCapabilities.h::OGRE_CAPS_VALUE" ref="aed8646724df28fe574c22d9ac38d0743" args="(cat, val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreRenderSystemCapabilities_8h.html#aed8646724df28fe574c22d9ac38d0743">OGRE_CAPS_VALUE</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">cat, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">val&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;((cat &lt;&lt; <a class="el" href="OgreRenderSystemCapabilities_8h.html#a758eb6cb9e283950039f2ef49b551151">OGRE_CAPS_BITSHIFT</a>) | (1 &lt;&lt; val))</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h_source.html#l00050">50</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h_source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
